Bug 526917 - ocaml/examples/lvs test script link error
ocaml/examples/lvs test script link error
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-02 09:58 EDT by Richard W.M. Jones
Modified: 2010-03-27 05:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.87
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 05:50:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-10-02 09:58:42 EDT
Reported by Jim Meyering in 1.0.72.

It seems like it tries to link the demo script with /usr/lib
copy of libguestfs, instead of the just-built copy.

-------------

make[2]: Entering directory `/home/j/w/co/libguestfs/test-tool'
  CC       libguestfs_test_tool-test-tool.o
  CC       helper.o
  CCLD     libguestfs-test-tool-helper
libtool: link: warning: complete static linking is impossible in this configuration
  CCLD     libguestfs-test-tool
make[2]: Leaving directory `/home/j/w/co/libguestfs/test-tool'
Making all in ocaml
make[2]: Entering directory `/home/j/w/co/libguestfs/ocaml'
Making all in examples
make[3]: Entering directory `/home/j/w/co/libguestfs/ocaml/examples'
ocamlfind ocamlopt -warn-error A -I .. mlguestfs.cmxa lvs.ml -o lvs
/usr/bin/ld: cannot find -lguestfs
collect2: ld returned 1 exit status
File "caml_startup", line 1, characters 0-1:
Error: Error during linking
make[3]: *** [lvs] Error 2
make[3]: Leaving directory `/home/j/w/co/libguestfs/ocaml/examples'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/j/w/co/libguestfs/ocaml'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/j/w/co/libguestfs'
make: *** [all] Error 2
[Exit 2]
Comment 1 Fedora Update System 2009-10-14 11:13:45 EDT
libguestfs-1.0.73-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.73-1.fc11
Comment 2 Fedora Update System 2009-10-14 12:08:19 EDT
libguestfs-1.0.73-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.73-2.el5
Comment 3 Fedora Update System 2009-10-15 04:18:01 EDT
libguestfs-1.0.73-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libguestfs-1.0.73-1.fc12
Comment 4 Richard W.M. Jones 2010-03-27 05:50:41 EDT
Not sure if this was a regression, but this has been
fixed again recently:
http://git.annexia.org/?p=libguestfs.git;a=commitdiff;h=82bd4fac87dce677a69bc5297f11799baf3eb1f5

Note You need to log in before you can comment on or make changes to this bug.